using System;
using System.Collections.Generic;
using System.Text;
using System.IO;

namespace IrrlichtNetSwig
{
    public partial class IrrlichtNet
    {
        string[] sBuiltInMaterialTypeNames()
        {
            return _sBuiltInMaterialTypeNames().ToArray();
        }
        string[] aTextureClampNames()
        {
            return _aTextureClampNames().ToArray();
        }
        string[] sBuiltInVertexTypeNames()
        {
            return _sBuiltInVertexTypeNames().ToArray();
        }
        string[] AutomaticCullingNames()
        {
            return _AutomaticCullingNames().ToArray();
        }
        string[] GUIAlignmentNames()
        {
            return _GUIAlignmentNames().ToArray();
        }
        string[] GUIElementTypeNames()
        {
            return _GUIElementTypeNames().ToArray();
        }
        string[] BoneAnimationModeNames()
        {
            return _BoneAnimationModeNames().ToArray();
        }
        string[] VERTEX_SHADER_TYPE_NAMES()
        {
            return _VERTEX_SHADER_TYPE_NAMES().ToArray();
        }
        string[] PIXEL_SHADER_TYPE_NAMES()
        {
            return _PIXEL_SHADER_TYPE_NAMES().ToArray();
        }
        string[] GUIButtonStateNames()
        {
            return _GUIButtonStateNames().ToArray();
        }
        string[] GUISkinTypeNames()
        {
            return _GUISkinTypeNames().ToArray();
        }
        string[] GUISkinColorNames()
        {
            return _GUISkinColorNames().ToArray();
        }
        string[] GUISkinSizeNames()
        {
            return _GUISkinSizeNames().ToArray();
        }
        string[] GUISkinTextNames()
        {
            return _GUISkinTextNames().ToArray();
        }
        string[] GUISkinIconNames()
        {
            return _GUISkinIconNames().ToArray();
        }
        string[] GUISkinFontNames()
        {
            return _GUISkinFontNames().ToArray();
        }
        string[] GUIColumnOrderingNames()
        {
            return _GUIColumnOrderingNames().ToArray();
        }
        string[] GUIOrderingModeNames()
        {
            return _GUIOrderingModeNames().ToArray();
        }
        string[] LightTypeNames()
        {
            return _LightTypeNames().ToArray();
        }
        string[] ParticleAffectorTypeNames()
        {
            return _ParticleAffectorTypeNames().ToArray();
        }
        string[] ParticleEmitterTypeNames()
        {
            return _ParticleEmitterTypeNames().ToArray();
        }
        void unpack_texureBlendFunc(ref E_BLEND_FACTOR srcFact, ref E_BLEND_FACTOR dstFact, ref E_MODULATE_FUNC modulo, float param)
        {
            int srcFact2 = (int)srcFact;
            int dstFact2 = (int)dstFact;
            int modulo2 = (int)modulo;
            _unpack_texureBlendFunc(ref srcFact2, ref dstFact2, ref modulo2, param);
            srcFact = (E_BLEND_FACTOR)srcFact2;
            dstFact = (E_BLEND_FACTOR)dstFact2;
            modulo = (E_MODULATE_FUNC)modulo2;
            
        }
        IIrrXMLReaderCXMLBase createIrrXMLReader(FileStream stream)
        {
            return IrrlichtNet._createIrrXMLReader((int)stream.SafeFileHandle.DangerousGetHandle());
        }
    }
}
